import prisma from "@/lib/prisma";
import SettingsForm from "./SettingsForm";

export default async function SettingsPage() {
  const settings = await prisma.siteSettings.findUnique({
    where: { id: 1 }
  });

  return (
    <div className="max-w-4xl mx-auto w-full">
      <h1 className="text-3xl font-bold font-serif mb-6 text-dark">Site Ayarları</h1>
      <SettingsForm defaultValues={settings} />
    </div>
  );
}
